/*
 * This is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This code is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this code; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
 * 02111-1307, USA.  */

/* Copyright (C) 2000 Ian Zimmerman <itz@speakeasy.org> */

#ifndef INCLUDE_SOCKETS_H
#define INCLUDE_SOCKETS_H

/* $Id: sockets.h,v 1.8 2002/06/04 06:54:28 itz Exp $ */

#include <sys/types.h>
#include <sys/socket.h>

#ifndef HAVE_STRUCT_UCRED
struct ucred
{
  pid_t pid;			/* PID of sending process.  */
  uid_t uid;			/* UID of sending process.  */
  gid_t gid;			/* GID of sending process.  */
};
#endif

int                             /* fd */
open_unix (const char* path);

int                             /* accept()ed fd */
add_client (int fd, int* max_client, fd_set* all_client_set);

void
delete_client (int fd, int* max_client, fd_set* all_client_set);

void
authenticate_client (int fd, struct ucred* psucr);

#endif /* INCLUDE_SOCKETS_H */
